package com.ruoyi.common.config.jackson.serializer;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;
import com.ruoyi.common.utils.StringUtils;

import java.io.IOException;

public class SnowflakeToStringSerializer extends StdSerializer<Object> {

    public final static SnowflakeToStringSerializer instance = new SnowflakeToStringSerializer(Object.class);

    public SnowflakeToStringSerializer(Class<?> handledType) {
        super(handledType, false);
    }

    @Override
    public void serialize(Object value, JsonGenerator gen, SerializerProvider provider) throws IOException {
        gen.writeObject(snowflakeToString(value));
    }

    @Override
    public boolean isEmpty(SerializerProvider prov, Object value) {
        return isBlank(value);
    }

    public static boolean isBlank(Object... objects) {
        boolean result = false;
        for (Object object : objects) {
            if (null == object || "".equals(object.toString().trim())
                    || "null".equals(object.toString().trim())) {
                result = true;
                break;
            }
        }
        return result;
    }

    public final Object snowflakeToString(Object value) {
        return value.toString();
    }
}
