package com.ruoyi.common.core.domain.model;

import com.ruoyi.common.enums.UserType;
import com.ruoyi.common.valid.EnumValid;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 微信登录body
 * @author 辉
 * 2024/3/8
 */
@Data
@ApiModel
public class WxLoginBody {

    @ApiModelProperty("授权码")
    private String mobileCode;

    @EnumValid(clazz = UserType.class, allowNull = true, message = "非法的用户类型", method = "getType")
    @ApiModelProperty("用户类型，00租户，01房东")
    private String userType;

    @NotNull(message = "openId不允许为空")
    @ApiModelProperty("用于获取微信小程序openId的code")
    private String wxOpenId;
}
