package com.ruoyi.ss.channel.service;

import com.ruoyi.ss.channel.domain.SmChannel;

import java.util.List;

/**
 * 充值渠道Service接口
 *
 * @author ruoyi
 * @date 2024-04-15
 */
public interface ISmChannelService
{
    /**
     * 查询充值渠道
     *
     * @param channelId 充值渠道主键
     * @return 充值渠道
     */
    public SmChannel selectSmChannelByChannelId(Long channelId);

    /**
     * 查询充值渠道列表
     *
     * @param smChannel 充值渠道
     * @return 充值渠道集合
     */
    public List<SmChannel> selectSmChannelList(SmChannel smChannel);

    /**
     * 新增充值渠道
     *
     * @param smChannel 充值渠道
     * @return 结果
     */
    public int insertSmChannel(SmChannel smChannel);

    /**
     * 修改充值渠道
     *
     * @param smChannel 充值渠道
     * @return 结果
     */
    public int updateSmChannel(SmChannel smChannel);

    /**
     * 批量删除充值渠道
     *
     * @param channelIds 需要删除的充值渠道主键集合
     * @return 结果
     */
    public int deleteSmChannelByChannelIds(Long[] channelIds);

    /**
     * 删除充值渠道信息
     *
     * @param channelId 充值渠道主键
     * @return 结果
     */
    public int deleteSmChannelByChannelId(Long channelId);

    /**
     * 查询启用的充值渠道列表
     * @return
     */
    List<SmChannel> selectEnabledRechargeList();

}
