package com.ruoyi.ss.dashboard;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 分时账单统计
 * @author 辉
 * 2024/3/7
 */
@Data
public class BillCountVo {
    @ApiModelProperty("年")
    private Integer createYear;  // 年

    @ApiModelProperty("月")
    private Integer createMonth;  // 月

    @ApiModelProperty("日")
    private Integer createDay;  // 日

    @ApiModelProperty("日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createDate;      // 日期

    @ApiModelProperty("年月")
    private String createYearMonth; // 年月

    @ApiModelProperty("时间（小时）")
    private Integer createHour;   // 时间（小时）

    @ApiModelProperty("充值金额(收入)")
    private BigDecimal recharge;    // 充值金额

    @ApiModelProperty("提现金额")
    private BigDecimal withdraw;    // 提现金额

    @ApiModelProperty("服务费")
    private BigDecimal serviceCharge;

    @ApiModelProperty("渠道成本")
    private BigDecimal channelCost;

    @ApiModelProperty("利润")
    private BigDecimal profit;
}
