package com.ruoyi.ss.deviceGroup.mapper;

import com.ruoyi.ss.deviceGroup.domain.SmDeviceGroup;
import com.ruoyi.ss.deviceGroup.domain.SmDeviceGroupVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 设备分组Mapper接口
 *
 * @author 邱贞招
 * @date 2024-02-21
 */
public interface SmDeviceGroupMapper
{
    /**
     * 查询设备分组
     *
     * @param groupId 设备分组主键
     * @return 设备分组
     */
    public SmDeviceGroupVo selectSmDeviceGroupByGroupId(Long groupId);

    /**
     * 查询设备分组列表
     *
     * @param smDeviceGroup 设备分组
     * @return 设备分组集合
     */
    public List<SmDeviceGroupVo> selectSmDeviceGroupList(SmDeviceGroup smDeviceGroup);

    /**
     * 新增设备分组
     *
     * @param smDeviceGroup 设备分组
     * @return 结果
     */
    public int insertSmDeviceGroup(SmDeviceGroup smDeviceGroup);

    /**
     * 修改设备分组
     *
     * @param smDeviceGroup 设备分组
     * @return 结果
     */
    public int updateSmDeviceGroup(SmDeviceGroup smDeviceGroup);

    /**
     * 删除设备分组
     *
     * @param groupId 设备分组主键
     * @return 结果
     */
    public int deleteSmDeviceGroupByGroupId(Long groupId);

    /**
     * 批量删除设备分组
     *
     * @param groupIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSmDeviceGroupByGroupIds(Long[] groupIds);

    /**
     * 修改数据的排序
     * @param start 排序范围起始
     * @param end 排序范围结束
     * @param offset 偏移量
     */
    int updateSort(@Param("start") Integer start, @Param("end") Integer end, @Param("offset") Integer offset);

    /**
     * 根据id列表查询数据
     * @param groupIds
     * @return
     */
    List<SmDeviceGroupVo> selectSmDeviceGroupByGroupIds(@Param("groupIds") List<Long> groupIds);

    /**
     * 批量更新
     * @param list
     * @return
     */
    int batchUpdate(@Param("list")List<SmDeviceGroup> list);

}
