package com.ruoyi.ss.deviceGroup.service;

import com.ruoyi.ss.deviceGroup.domain.SmDeviceGroup;
import com.ruoyi.ss.deviceGroup.domain.SmDeviceGroupVo;

import java.util.List;

/**
 * 设备分组Service接口
 *
 * @author 邱贞招
 * @date 2024-02-21
 */
public interface ISmDeviceGroupService
{
    /**
     * 查询设备分组
     *
     * @param groupId 设备分组主键
     * @return 设备分组
     */
    public SmDeviceGroup selectSmDeviceGroupByGroupId(Long groupId);

    /**
     * 查询设备分组列表
     *
     * @param smDeviceGroup 设备分组
     * @return 设备分组集合
     */
    public List<SmDeviceGroupVo> selectSmDeviceGroupList(SmDeviceGroup smDeviceGroup);

    /**
     * 新增设备分组
     *
     * @param smDeviceGroup 设备分组
     * @return 结果
     */
    public int insertSmDeviceGroup(SmDeviceGroup smDeviceGroup);

    /**
     * 修改设备分组
     *
     * @param smDeviceGroup 设备分组
     * @return 结果
     */
    public int updateSmDeviceGroup(SmDeviceGroup smDeviceGroup);

    /**
     * 批量删除设备分组
     *
     * @param groupIds 需要删除的设备分组主键集合
     * @return 结果
     */
    public int deleteSmDeviceGroupByGroupIds(Long[] groupIds);

    /**
     * 删除设备分组信息
     *
     * @param groupId 设备分组主键
     * @return 结果
     */
    public int deleteSmDeviceGroupByGroupId(Long groupId);

    /**
     * 调整分组位置
     * @param list 调整后的分组列表
     */
    boolean changeSort(List<SmDeviceGroup> list);

    /**
     * 查询分组下的设备及其设备数量
     * @param smDeviceGroup 查询条件
     * @return 设备列表
     */
    List<SmDeviceGroupVo> listCount(SmDeviceGroup smDeviceGroup);

    /**
     * 查询用户的默认分组
     * @param userId
     */
    SmDeviceGroupVo selectDefaultGroup(Long userId);

    /**
     * 为用户创建一个默认的分组
     * @param userId
     * @return
     */
    SmDeviceGroupVo insertDefaultGroup(Long userId);
}
