package com.ruoyi.ss.transactionBill.domain;

import com.ruoyi.common.core.domain.ValidGroup;
import com.ruoyi.common.valid.EnumValid;
import com.ruoyi.ss.transactionBill.domain.enums.TransactionBillGroupBy;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author 辉
 * 2024/3/4
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class SmTransactionBillDto extends SmTransactionBill {
    @ApiModelProperty("年份")
    private Integer year;

    @ApiModelProperty("月份")
    private Integer month;

    @ApiModelProperty("小时")
    private Integer hour;

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("房东名称")
    private String landlordName;

    @ApiModelProperty("设备名称")
    private String deviceName;

    @ApiModelProperty("创建日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createDate;

    @ApiModelProperty("分组字段")
    @EnumValid(
            clazz = TransactionBillGroupBy.class,
            allowNull = true,
            message = "非法的分组字段",
            method = "name",
            groups = {ValidGroup.Query.class}
    )
    private String groupBy;

    @ApiModelProperty("时间是否已过期")
    private Boolean expire;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date startDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date endDate;

    @ApiModelProperty("订单id列表")
    private List<Long> billIds;
}
