package com.ruoyi.task.bill;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.ss.transactionBill.domain.SmTransactionBillDto;
import com.ruoyi.ss.transactionBill.domain.SmTransactionBillVo;
import com.ruoyi.ss.transactionBill.domain.SmTransactionBill;
import com.ruoyi.ss.transactionBill.domain.enums.TransactionBillStatus;
import com.ruoyi.ss.transactionBill.domain.enums.TransactionBillType;
import com.ruoyi.ss.transactionBill.service.ISmTransactionBillService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.CollectionUtils;

import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author wjh
 * 2024/4/10
 */
@Component("payTask")
@Slf4j
public class PayTask {

    @Autowired
    private ISmTransactionBillService transactionBillService;

    /**
     * 更新支付结果
     */
    @Transactional
    public void refreshPayResult() {
        // 查询十分钟以内支付中的充值订单
        Date now = new Date();
        Date past = DateUtils.addMinutes(now, -10);
        SmTransactionBillDto dto = new SmTransactionBillDto();
        dto.setStartDate(past);
        dto.setType(TransactionBillType.RECHARGE.getType());
        dto.setStatus(TransactionBillStatus.PAYING.getStatus());
        List<SmTransactionBillVo> billList = transactionBillService.selectSmTransactionBillList(dto);
        if (CollectionUtils.isEmpty(billList)) {
            log.info("十分钟以内没有支付中的订单");
            return;
        }

        transactionBillService.refreshPayResult(billList.stream().map(SmTransactionBill::getBillId).collect(Collectors.toList()));
    }

}
