package com.ruoyi.web.controller.app;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.ss.articleClassify.domain.SmArticleClassifyDto;
import com.ruoyi.ss.article.domain.SmArticleDto;
import com.ruoyi.ss.article.domain.article.SystemClassify;
import com.ruoyi.ss.articleClassify.service.ISmArticleClassifyService;
import com.ruoyi.ss.article.service.ISmArticleService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wjh
 * 2024/4/3
 */
@RestController
@RequestMapping("/app/article")
public class AppArticleController extends BaseController {

    @Autowired
    private ISmArticleClassifyService articleClassifyService;

    @Autowired
    private ISmArticleService articleService;

    @ApiOperation("常见问题分类列表")
    @GetMapping("/problem/list")
    public TableDataInfo getProblemList(SmArticleClassifyDto dto) {
        startPage();
        dto.setParentId(SystemClassify.PROBLEM.getClassifyId());
        return getDataTable(articleClassifyService.selectClassifyList(dto));
    }

    @ApiOperation("获取文章列表")
    @GetMapping("/list")
    public TableDataInfo getArticleList(SmArticleDto dto) {
        startPage();
        return getDataTable(articleService.selectSmArticleList(dto));
    }

    @ApiOperation("获取文章详细内容")
    @GetMapping("/{articleId}")
    public AjaxResult getDetail(@PathVariable Long articleId) {
        return success(articleService.selectSmArticleByArticleId(articleId));
    }


}
